# Monte-Carlo
EVENT_GENERATION_MODE: Weighted
MI_HANDLER: None
FRAGMENTATION: None
ANALYSIS: Rivet
BEAM_REMNANTS: false
ANALYSIS_OUTPUT: Analysis_OL
PDF_LIBRARY: LHAPDFSherpa
PDF_SET: PDF4LHC15_nlo_100
ALPHAS: {USE_PDF: 1}

# matrix-element calculation
ME_GENERATORS:
- External
- OpenLoops
OL_PARAMETERS:
  check_collection: 0
  allowed_libs: "heftpphh,heftpphhj"
  ew_scheme: 1
  gmu: 1.1663787e-5
SCALES: VAR{Abs2(p[2]+p[3])/4}

# set up Di-Higgs calculation
SHERPA_LDADD: SherpaDiHiggsNLO
DIHIGGS_GRID_PATH: Virt_EFT.grid

# model parameters
MODEL: HEFT
EW_SCHEME: 3
GF: 1.1663787e-5
YUKAWA_MASSES: Fixed
PARTICLE_DATA:
  6:
    Width: 0
    Mass: 173
  25:
    Width: 0
    Mass: 125

# set up two proton beams, each at 6.5 TeV
BEAMS: 2212
BEAM_ENERGIES: 6500

PROCESSES:
- "21 21 -> 25 25":
    Min_Order: {QCD: Any, EW: Any}
    Max_Order: {QCD: Any, EW: Any}
    NLO_Mode: Fixed_Order
    Loop_Generator: OpenLoops
    NLO_Part: BVI
    Integrator: Rambo

RIVET:
  -a: MC_HHJETS
